package com.jxdinfo.hussar.core.bouncycastle.asn1;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1OctetStringParser;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEROctetString;
import com.jxdinfo.hussar.core.bouncycastle.asn1.Nul;
import java.io.IOException;
import java.io.InputStream;

public class DEROctetStringParser implements ASN1OctetStringParser {
  private Nul case;
  
  public InputStream getOctetStream() {
    return (InputStream)this.case;
  }
  
  public DERObject getDERObject() {
    return getLoadedObject();
  }
  
  DEROctetStringParser(Nul nul) {
    this.case = nul;
  }
  
  public DERObject getLoadedObject() throws IOException {
    return (DERObject)new DEROctetString(this.case.implements());
  }
}
